Loading...
Searching...
No Matches
tuplevector.hh File Reference

Provides the TupleVector class that augments std::tuple by operator[]. More...

`#include <tuple>`
`#include <utility>`
`#include <dune/common/indices.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/std/type_traits.hh>`

Go to the source code of this file.

## Classes

class | Dune::TupleVector< T >
| A class augmenting std::tuple by element access via operator[]. More...
struct | std::tuple_element< i, Dune::TupleVector< Args... > >
| Make std::tuple_element work for TupleVector. More...
struct | std::tuple_size< Dune::TupleVector< Args... > >
| Make std::tuple_size work for TupleVector. More...

## Namespaces

namespace | Dune
| Dune namespace
namespace | std
| STL namespace.

## Functions

template<class... T>
constexpr auto | Dune::makeTupleVector (T &&... t)

## Detailed Description

Provides the TupleVector class that augments std::tuple by operator[].

Author
  Carsten Gräser